Loading...
Searching...
No Matches
OgreVector.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMath.h"`
`#include "OgreQuaternion.h"`

## Classes

class | Ogre::Vector< dims, T >
| Standard N-dimensional vector. More...
struct | Ogre::VectorBase< dims, T >
| helper class to implement legacy API. Notably x, y, z access More...
struct | Ogre::VectorBase< 2, Real >
struct | Ogre::VectorBase< 3, Real >
struct | Ogre::VectorBase< 4, Real >

## Namespaces

namespace | Ogre